# UniV3LoanRouter

## API Documentation

## `constructor(contract ISwapRouter _uniswapV3Router)` (public)

## `borrow(uint256 amount, contract IBondController bond, contract IERC20 currency, uint256[] sales, uint256 minOutput) → uint256 amountOut` (external)

## `borrowMax(uint256 amount, contract IBondController bond, contract IERC20 currency, uint256 minOutput) → uint256 amountOut` (external)

## `_borrow(uint256 amount, contract IBondController bond, contract IERC20 currency, uint256[] sales, uint256 minOutput) → uint256 amountOut` (internal)

Internal function to borrow a given currency from a given collateral


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prl.one/buttonwood/developers/tranche/univ3loanrouter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
